[vdr] xine, eepg and 64 bits

Ian Bates ian_and_joanna at talktalk.net
Sat Nov 20 23:11:24 CET 2010


Hi,

Did you solve the eepg problem?  I am experiencing the same error.

Slackware64-current, just upgraded a bunch of stuff (including xserver), previously successful compile of eepg when recompiled eepg gives me the same error as below.  The libvdr-eepg.so from the earlier compile still works so no broken vdr from that point.

Custom kernel, VDR and other plugins compile without issue.  Just eepg bails with the reported error.  So suspicion initially lies with eepg but it compiled fine before the update so...

I am inspecting the Slackware-current updates to see what could have broken this build and if anyone can provide some ideas to assist that would be welcomed.


Ian.


On 15 Aug 2010, at 07:44, <martinez at embl.de> <martinez at embl.de> wrote:

> I upgraded my installation to arch linux x86-64 (from ubuntu 32bits) 
> and now using the same source files for vdr-1.7.15 everything compiles and
> works except two things:
> 
> a) the eepg plugin refuses to compile:
> eepg.c:2687:35: error: expected ‘)’ before ‘*’ token
> eepg.c:2776:16: error: expected constructor, destructor, or type
> conversion before ‘(’ token
> eepg.c:4222:31: error: expected ‘}’ at end of input
> 
> Can somebody help ideally by pointing out what I need to do to get it to
> compile and failing that supplying a 64 bits compiled libvdr-eep.so.1.7.15




More information about the vdr mailing list